# Uses of Enum Class
org.eclipse.emf.cdo.server.IStore.ChangeFormat

Packages that use IStore.ChangeFormat
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IStore.ChangeFormat in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IStore.ChangeFormat
Modifier and Type
Method
Description
`static IStore.ChangeFormat`
IStore.ChangeFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStore.ChangeFormat[]`
IStore.ChangeFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server that return types with arguments of type IStore.ChangeFormat
Modifier and Type
Method
Description
`Set<IStore.ChangeFormat>`
IStore.`getSupportedChangeFormats()`

## Uses of IStore.ChangeFormat in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type IStore.ChangeFormat
Modifier and Type
Method
Description
`Set<IStore.ChangeFormat>`
Store.`getSupportedChangeFormats()`
Constructor parameters in org.eclipse.emf.cdo.spi.server with type arguments of type IStore.ChangeFormat
Modifier
Constructor
Description
``
`LongIDStore(String type, Set<IStore.ChangeFormat> supportedChangeFormats, Set<IStore.RevisionTemporality> supportedRevisionTemporalities, Set<IStore.RevisionParallelism> supportedRevisionParallelisms)`